import { APIClient } from "./ApiClient";

export class IsoFilesApi {
  /**
   * Upload a new ISO file to the server
   */
  static async Upload(
    file: File,
    progress: (progress: number) => void
  ): Promise<void> {
    const fd = new FormData();
    fd.append("file", file);

    await APIClient.exec({
      method: "POST",
      uri: "/iso/upload",
      formData: fd,
      progress: progress,
    });
  }
}
